import { useI18n } from 'cozy-ui/transpiled/react/providers/I18n'
import React from 'react'
import './SkipLink.scss'

const SkipLink = () => {
  const { t } = useI18n()

  const handleSkip = (event: React.MouseEvent<HTMLButtonElement>) => {
    event.preventDefault()
    const mainContent = document.getElementById('app-content')
    if (mainContent) {
      mainContent.focus()
    }
  }

  return (
    <button className="skip-link" onClick={handleSkip}>
      {t('common.accessibility.skip_link')}
    </button>
  )
}

export default SkipLink
